---
metadata:
  - name: generator
    content: Diplodoc Platform v5.47.3
alternate:
  - https://yandex.com.tr/support/tracker/en/api-ref/issues/move-issue.md
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.com.tr/support/tracker/en/llms.txt

# Move an issue to another queue using an API request

Use this request to move an issue to a different queue.

<div class="request_example method_post yfm-clipboard">
    <p>POST</p>
    <pre><code>https://api.tracker.yandex.net/v3/issues/&lt;issue_ID>/_move?queue=&lt;queue_key></code></pre>
    <button class="yfm-clipboard-button"><svg width="16" height="16" viewBox="0 0 24 24" class="yfm-clipboard-icon" data-animation="15">
    <path fill="currentColor" d="M19,21H8V7H19M19,5H8A2,2 0 0,0 6,7V21A2,2 0 0,0 8,23H19A2,2 0 0,0 21,21V7A2,2 0 0,0 19,5M16,1H4A2,2 0 0,0 2,3V17H4V3H16V1Z"></path>
    <path stroke="currentColor" fill="transparent" strokewidth="1.5" d="M9.5 13l3 3l5 -5" visibility="hidden">
        <animate id="visibileAnimation-15" attributeName="visibility" from="hidden" to="visible" dur="0.2s" fill="freeze" begin=""></animate>
        <animate id="hideAnimation-15" attributeName="visibility" from="visible" to="hidden" dur="1s" begin="visibileAnimation-15.end+1" fill="freeze"></animate>
    </path>
</svg>
</button>
</div>

<!-- source: en/_assets/style/methods.md -->

<!-- endsource: en/_assets/style/methods.md -->

Before executing the request, make sure the user has permission to edit the issues to be moved and is allowed to create them in the new queue.

{% note warning "" %}

If an issue you want to move has a type and status that are missing in the target queue, no transfer will be made. To reset the issue status to the initial value when moving it, use the `InitialStatus` parameter.

By default, when an issue is moved, the values of its components, versions, and projects are cleared. If the new queue has the same values of the fields specified, use the `MoveAllFields` parameter to move the components, versions, and projects.

If the issue has the [local field](https://yandex.com.tr/support/tracker/en/local-fields.md) values specified, they will be reset when moving the issue to a different queue.

{% endnote %}

## Query format {#query}

Before making a request, [get permission to access the API](https://yandex.com.tr/support/tracker/en/api-ref/access.md).

To move issues, use an HTTP `POST` request:

```json
POST /v3/issues/<issue_ID>/_move?queue=<queue_key>
Host: api.tracker.yandex.net
Authorization: OAuth <OAuth_token>
X-Org-ID or X-Cloud-Org-ID: <organization_ID>
```
<!-- source: en/_includes/api/headings.md -->
{% cut "Headers" %}

* `Host`: address of the node that provides the API.

* <!-- source: en/_includes/api/authorization.md -->
  `Authorization`: Authorization token about these formats:

    - `OAuth <OAuth_token>`: For authorization using the OAuth 2.0 protocol. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#about_OAuth)

    - `Bearer <IAM_token>`: For authorization using an IAM token, if a Yandex Cloud Organization organization is linked to Tracker. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#iam-token)
  <!-- endsource: en/_includes/api/authorization.md -->


* <!-- source: en/_includes/api/org-id.md -->
  `X-Org-ID` or `X-Cloud-Org-ID`: Organization ID.

  - Use the `X-Org-ID` header if a Tracker organization is linked to Yandex 360 for Business.

  - Use the `X-Cloud-Org-ID` header if a Tracker organization is linked to Yandex Cloud Organization.

  To get the organization ID, go to **Administration** → [**Organizations**](https://tracker.yandex.com/admin/orgs) and copy the value from the **ID** field. {#find-id}
  <!-- endsource: en/_includes/api/org-id.md -->


{% endcut %}
<!-- endsource: en/_includes/api/headings.md -->

<!-- source: en/_includes/api/resource-issue-id.md -->
{% cut "Resource" %}

| Parameter | Description | Data type |
-------- | -------- | ----------
| \<issue_key_or_ID\> | ID or key of the current issue. | String |

{% endcut %}
<!-- endsource: en/_includes/api/resource-issue-id.md -->

{% cut "Request parameters" %}

**Required parameters**

| Parameter | Description | Data type |
----- | ----- | -----
| \<queue_key\> | Key of the queue to move the issue to. | String |

**Additional parameters**

| Parameter | Description | Data type |
----- | ----- | -----
| notify | Flag indicating if users should be notified about issue changes:<ul><li>`true `(by default): Users specified in the issue fields are notified.</li><li>`false` (by default): No users are notified.</li></ul> | Boolean |
| notifyAuthor | Flag notifying the issue reporter:<ul><li>`true`: The reporter is notified.</li><li>`false` (by default): The reporter is not notified.</li></ul> | Boolean |
| moveAllFields | Shows whether to move the issue's versions, components, and projects to the new queue:<ul><li>`true`: Move them if the new queue has similar versions, components, and projects.</li><li>`false` (by default): Clear the versions, components, and projects.</li></ul> | Boolean |
| initialStatus | Resetting the issue status. Reset the status when moving an issue to a queue with a different [workflow](../../manager/workflow.md):<ul><li>`true`: Reset the status.</li><li>`false` (by default): Retain the current status.</li></ul> | Boolean |
| expand | Additional fields to include in the response:<ul><li>`attachments`: Attached files.</li><li>`comments`: Comments.</li><li>`workflow`: Issue workflow.</li><li>`transitions`: Workflow transitions between statuses.</li></ul> | String |

{% endcut %}

{% cut "Request body parameters" %}

You can use the request body if you need to change the parameters of the issue being moved. The request body has the same format as when [editing issues](https://yandex.com.tr/support/tracker/en/api-ref/issues/patch-issue.md#req-body-params).

{% endcut %}

> Example: Moving an issue
>
> - An HTTP POST method is used.
> - Moving the **TEST-1** issue to the **NEW** queue.
>
> ```
> POST https://api.tracker.yandex.net/v3/issues/TEST-1/_move?queue=NEW
> ```

## Response format {#answer}

{% list tabs %}

- Request executed successfully

    <!-- source: en/_includes/api/answer-200.md -->
    If the request is successful, the API returns a response with code `200 OK`.
    <!-- endsource: en/_includes/api/answer-200.md -->

    The response body contains the results in JSON format.

    ```json
    {
        "self": "https://api.tracker.yandex.net/v3/issues/NEW-1",
        "id": "1a********",
        "key": "NEW-1",
        "version": 2,
        "aliases": [
            "TEST-1"
        ],
        "previousQueue": {
            "self": "https://api.tracker.yandex.net/v3/queues/TEST",
            "id": "3",
            "key": "TEST",
            "display": "TEST"
        },
        "description": "Move the issue to a new queue",
        "type": {
            "self": "https://api.tracker.yandex.net/v3/issuetypes/2",
            "id": "2",
            "key": "task",
            "display": "Issue"
        },
        "createdAt": "2020-09-04T14:18:56.776+0000",
        "updatedAt": "2020-11-12T12:38:19.040+0000",
        "lastCommentUpdatedAt": "2020-10-18T13:33:44.291+0000",
        },
        "summary": "Test",
        "updatedBy": {
            "self": "https://api.tracker.yandex.net/v3/users/12********",
            "id": "12********",
            "display": "Ivan Ivanov"
        },
        "priority": {
            "self": "https://api.tracker.yandex.net/v3/priorities/3",
            "id": "3",
            "key": "normal",
            "display": "Normal"
        },
        "followers": [
            {
                "self": "https://api.tracker.yandex.net/v3/users/12********",
                "id": "12********",
                "display": "Ivan Ivanov"
            }
        ],
        "createdBy": {
            "self": "https://api.tracker.yandex.net/v3/users/12********",
            "id": "12********",
            "display": "Ivan Ivanov"
        },
        "assignee": {
            "self": "https://api.tracker.yandex.net/v3/users/12********",
            "id": "12********",
            "display": "Ivan Ivanov"
        },
        "queue": {
            "self": "https://api.tracker.yandex.net/v3/queues/NEW",
            "id": "5",
            "key": "NEW",
            "display": "Queue"
        },
        "status": {
            "self": "https://api.tracker.yandex.net/v3/statuses/8",
            "id": "1",
            "key": "open",
            "display": "Open"
        },
        "previousStatus": {
            "self": "https://api.tracker.yandex.net/v3/statuses/1",
            "id": "1",
            "key": "open",
            "display": "Open"
        },
        "favorite": false
    }
    ```

    {% cut "Response parameters" %}

    <!-- source: en/_includes/api/issue-response-fields-note.md -->
    {% note info "" %}

    The table lists the main response fields. For a full list of fields and their descriptions, see [Response parameters](https://yandex.com.tr/support/tracker/en/api-ref/issues/response-fields.md).

    The response may also include global user fields and local queue fields.

    {% endnote %}
    <!-- endsource: en/_includes/api/issue-response-fields-note.md -->

    | Parameter | Description | Data type |
    ----- | ----- | -----
    | self | Address of the API resource with information about the issue. | String |
    | id | Issue ID. | String |
    | key | Issue key. | String |
    | version | Issue version. Each change to the issue parameters increases its version number. <br>Issue edits will be disabled if the version number reaches the threshold value of `10100` (for robots) or `11100` (for users). | Number |
    | aliases | Array with information about alternative issue keys. | Array of strings |
    | [previousQueue](#previous-queue) | Object with information about the issue's previous queue. | Map item |
    | description | Issue description. | String |
    | [type](#type) | Object with information about the issue type. | Map item |
    | createdAt | Issue creation date and time. | String |
    | updatedAt | Issue update date and time. | String |
    | lastCommentUpdatedAt | Date and time when the last comment was added. | String |
    | summary | Issue name. | String |
    | [updatedBy](#updated-by) | Object with information about the user who edited the issue last. | Map item |
    | [priority](#priority) | Object with information about the priority. | Map item |
    | [followers](#followers) | Array of objects with information about issue followers. | Array of strings |
    | [createdBy](#created-by) | Object with information about the user who created the issue. | Map item |
    | [assignee](#assignee) | Object with information about the issue's assignee. | Map item |
    | [queue](#queue) | Object with information about the issue queue. | Map item |
    | [status](#status) | Object with information about the issue status. | Map item |
    | [previousStatus](#previous-status) | Object with information about the previous status of the issue. | Map item |
    | favorite | Favorite issue flag:<ul><li>`true`: Notifications disabled.</li><li>`false`: Notifications enabled.</li></ul> | Boolean |

    `previousQueue` **object fields** {#previous-queue}

    <!-- source: en/_includes/api/queue.md -->
    | Parameter | Description | Data type |
    ----- | ----- | -----
    | self | Address of the API resource with information about the queue. | String |
    | id | Queue ID. | String |
    | key | Queue key. | String |
    | display | Queue name displayed. | String |
    <!-- endsource: en/_includes/api/queue.md -->

    <!-- source: en/_includes/api/type.md -->
    `type` **object fields** {#type}

    | Parameter | Description | Data type |
    ----- | ----- | -----
    | self | Address of the API resource with information about the issue type. | String |
    | id | Issue type ID | String |
    | key | Issue type key. | String |
    | display | Issue type name displayed. | String |
    <!-- endsource: en/_includes/api/type.md -->

    `updatedBy` **object fields** {#updated-by}

    <!-- source: en/_includes/api/user.md -->
    | Parameter | Description | Data type |
    ----- | ----- | -----
    | self | Address of the API resource with information about the user | String |
    | id | User ID. | String |
    | display | Displayed user name | String |
    | passportUid | Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. | Number |
    | cloudUid | Unique user ID in Yandex Cloud Organization | String |
    <!-- endsource: en/_includes/api/user.md -->

    <!-- source: en/_includes/api/priority.md -->
    `priority` **object fields** {#priority}

    | Parameter | Description | Data type |
    ----- | ----- | -----
    | self | Address of the API resource with information about the priority. | String |
    | id | Priority ID | String |
    | key | Priority key. | String |
    | display | Priority name displayed. | String |
    <!-- endsource: en/_includes/api/priority.md -->

    `followers` **array object fields** {#followers}

    <!-- source: en/_includes/api/user.md -->
    | Parameter | Description | Data type |
    ----- | ----- | -----
    | self | Address of the API resource with information about the user | String |
    | id | User ID. | String |
    | display | Displayed user name | String |
    | passportUid | Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. | Number |
    | cloudUid | Unique user ID in Yandex Cloud Organization | String |
    <!-- endsource: en/_includes/api/user.md -->

    `createdBy` **object fields** {#created-by}

    <!-- source: en/_includes/api/user.md -->
    | Parameter | Description | Data type |
    ----- | ----- | -----
    | self | Address of the API resource with information about the user | String |
    | id | User ID. | String |
    | display | Displayed user name | String |
    | passportUid | Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. | Number |
    | cloudUid | Unique user ID in Yandex Cloud Organization | String |
    <!-- endsource: en/_includes/api/user.md -->

    `assignee` **object fields** {#assignee}

    <!-- source: en/_includes/api/user.md -->
    | Parameter | Description | Data type |
    ----- | ----- | -----
    | self | Address of the API resource with information about the user | String |
    | id | User ID. | String |
    | display | Displayed user name | String |
    | passportUid | Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. | Number |
    | cloudUid | Unique user ID in Yandex Cloud Organization | String |
    <!-- endsource: en/_includes/api/user.md -->

    `queue` **object fields** {#queue}

    <!-- source: en/_includes/api/queue.md -->
    | Parameter | Description | Data type |
    ----- | ----- | -----
    | self | Address of the API resource with information about the queue. | String |
    | id | Queue ID. | String |
    | key | Queue key. | String |
    | display | Queue name displayed. | String |
    <!-- endsource: en/_includes/api/queue.md -->

    `status` **object fields** {#status}

    <!-- source: en/_includes/api/status.md -->
    | Parameter | Description | Data type |
    ----- | ----- | -----
    | self | Address of the API resource with information about the status. | String |
    | id | Status ID. | String |
    | key | Status key. | String |
    | display | Status name displayed. | String |
    <!-- endsource: en/_includes/api/status.md -->

    `previousStatus` **object fields** {#previousStatus}

    <!-- source: en/_includes/api/status.md -->
    | Parameter | Description | Data type |
    ----- | ----- | -----
    | self | Address of the API resource with information about the status. | String |
    | id | Status ID. | String |
    | key | Status key. | String |
    | display | Status name displayed. | String |
    <!-- endsource: en/_includes/api/status.md -->

    {% endcut %}

- Request failed

    If the request is processed incorrectly, the API returns a response with an error code:

    <!-- source: en/_includes/api/answer-error-401.md -->
    401
    :   The user is not authorized. Make sure that actions described in the [API access](https://yandex.com.tr/support/tracker/en/api-ref/access.md) section are performed.
    <!-- endsource: en/_includes/api/answer-error-401.md -->

    <!-- source: en/_includes/api/answer-error-403.md -->
    403
    :   You are not authorized to perform this action. You can check what rights you have in the Tracker interface. The same rights are required to perform an action via the API and interface.
    <!-- endsource: en/_includes/api/answer-error-403.md -->

    <!-- source: en/_includes/api/answer-error-404.md -->
    404
    :   The requested object was not found. You may have specified an invalid object ID or key.
    <!-- endsource: en/_includes/api/answer-error-404.md -->

    <!-- source: en/_includes/api/answer-error-423.md -->
    423
    :   Object edits disabled. The `version` parameter value limit (the maximum number of object updates) might have been exceeded. The maximum version value is `10100` for robots and `11100` for users.
    <!-- endsource: en/_includes/api/answer-error-423.md -->

{% endlist %}